登录  免费注册
当前位置:首页 > 漏洞详细信息

GNU Binutils输入验证错误漏洞

 关注(0)  
CNVD-ID CNVD-2019-28647
公开日期 2019-08-23
危害级别 中 (AV:N/AC:M/Au:N/C:N/I:N/A:P)
影响产品 GNU Binutils 2.32
CVE ID CVE-2019-14444
漏洞描述 GNU Binutils(GNU Binary Utilities或binutils)是GNU计划的开发的一组编程语言工具程序。该程序主要用于处理多种格式的目标文件,并提供有连接器、汇编器和其他用于目标文件和档案的工具。

GNU Binutils 2.32版本中的readelf.c文件的apply_relocations存在输入验证错误漏洞。该漏洞源于网络系统或产品未对输入的数据进行正确的验证。攻击者可利用该漏洞可能会导致泄露敏感信息或拒绝服务(DoS)。
漏洞类型 通用型漏洞
参考链接 https://nvd.nist.gov/vuln/detail/CVE-2019-14444
漏洞解决方案 厂商已发布了漏洞修复程序,请及时关注更新:https://sourceware.org/bugzilla/attachment.cgi?id=11922&action=diff
厂商补丁 GNU Binutils输入验证错误漏洞的补丁
验证信息 (暂无验证信息)
报送时间 2019-07-31
收录时间 2019-08-25
更新时间 2019-08-26
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论